Page MenuHomePhabricator

DWI data cannot be forwarded to software connected to by the command line tool
Closed, ResolvedPublic

Description

Currently diffusion images (ending on *.dwi) cannot be selected in image selectors in GUIs generated by the Commandline-Tool. Even though they are in the data manager, they cannot be selected in the drop down menu.

Event Timeline

The reason for this is the predicate setting in CTK (QmitkUiLoader.cpp, line 55)
comboBox->SetPredicate(mitk::NodePredicateDataType::New("Image"));

If NodePredicateDataType is "DiffusionImage" the diffusion data is accepted (but no other images).

A first attempt in concatenating both did not work:
comboBox->SetPredicate(mitk::NodePredicateAnd::New(mitk::NodePredicateDataType::New("Image"),mitk::NodePredicateDataType::New("DiffusionImage")));

Is there another way to include images and all derived image classes?

works if NodePredicateOr is used to concatinate

zelzer added a subscriber: zelzer.Jun 25 2013, 6:09 PM

You could try the templated TNodePredicateDataType predicate. It should work for all derived classes of the given template parameter.

draft

zelzer added a comment.Jul 3 2013, 2:20 PM

New remote branch pushed: bug-14986-support-all-image-types-in-cmdlinetool

zelzer added a comment.Jul 6 2013, 4:20 PM

[ca50c6]: Merge branch 'bug-14986-support-all-image-types-in-cmdlinetool'

Merged commits:

2013-07-03 14:18:56 Sascha Zelzer [e770b5]
Consider the fileExtensions attribute when saving images for cmd line modules.


2013-07-03 14:18:14 Sascha Zelzer [d88e8d]
Show all mitk::Image types (also derived types) in the combo box.


2013-07-03 14:17:33 Sascha Zelzer [84c0df]
Merge branch 'bug-15480-add-savebasedata-in-ioutil' into bug-14986-support-all-image-types-in-cmdlinetool